Subject: bug#9140: fsusage: revert unintended change on AIX, Cygwin, Interix

From: Jim Meyering <[email-masked]>
Date: Sat, 23 Jul 2011 17:06:57 +0200

Bruno Haible wrote:
>> 2) To undo the patch that introduces check_f_blocks_size, because
>>      - on MacOS X 10.7 it is not needed any more after 1),
>>      - on AIX and Cywin it causes non-POSIX API to be used for no reason,
>>      - it kills portability to Interix 3.5.
>
> Slight correction: It is still needed after 1), at least on MacOS X 10.5.
> But only on MacOS X. So here's the proposed patch 2. Verified on AIX and
> Cygwin;

Thanks again.
This looks fine.

> I don't have access to an Interix machine.

No problem.  It seems to have so few coreutils/gnulib users that
it barely qualifies as a reasonable portability target.

> 2011-07-23  Bruno Haible  <[email-masked]>
>
> 	fsusage: Restore previous behaviour on AIX, Cygwin, Interix.
> 	* m4/fsusage.m4 (gl_FILE_SYSTEM_USAGE): Enforce a 64-bit struct statvfs
> 	f_blocks field only on MacOS X.
...